"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var utils_1 = require("./utils");
/**
 * 変換ロジックは以下であるが、これが正しいかは不明。
 * 1)2文字アルファベットの置換ができる場所を、先頭から優先して探して置換
 * 2)残ったテキストを1文字アルファベットに置換
 */
var translateWord = function (word) {
    var characters = utils_1.stringToArray(word);
    var translatedWord = '';
    for (var characterIndex = 0; characterIndex < characters.length; characterIndex++) {
        var currentChar = characters[characterIndex];
        var nextChar = characters[characterIndex + 1];
        if (nextChar !== undefined) {
            var twoChars = currentChar + nextChar;
            var matchedTwoChars = utils_1.translateTwoAlphabets(twoChars.toLowerCase());
            if (matchedTwoChars !== null) {
                translatedWord += matchedTwoChars;
                characterIndex++;
                continue;
            }
        }
        translatedWord += utils_1.translateSingleAlphabet(currentChar.toLowerCase()) || currentChar;
    }
    return translatedWord;
};
exports.translate = function (text) {
    var tokens = utils_1.lexer(text);
    var translatedWords = tokens
        .map(function (_a) {
        var type = _a.type, text = _a.text;
        return type === 'word' ? translateWord(text) : text;
    });
    return translatedWords.join('');
};
