"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var utils_1 = require("./utils");
var translateWord = function (word) {
    var characters = utils_1.stringToArray(word);
    var translatedWord = '';
    for (var characterIndex = 0; characterIndex < characters.length; characterIndex++) {
        var char = characters[characterIndex];
        translatedWord += utils_1.translateSingleTaralians(char) || char;
    }
    return translatedWord;
};
exports.translate = function (text) {
    var tokens = utils_1.lexer(text);
    var translatedWords = tokens
        .map(function (_a) {
        var type = _a.type, text = _a.text;
        return type === 'word' ? translateWord(text) : text;
    });
    return translatedWords.join('');
};
